package com.ssj.bean.kmt.kmt.domain;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

@Entity
@Table(name = "kmt_print_manage")
public class KmtPrintManage extends BaseEntity{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private String teacherId;
	
	private String courseKnowId;
	
	private String courseKnowTitle;
	
	private String studentName;
	
	private Integer printNum;
	
	private Integer downloadNum;
	
	private String courseName;
	
	private String knowHowName;
	
	private Integer master;
	
	private Integer state;
	
	private String wordUrl;
	
	private Date printTime;
	
	private String jsonData;
	
	private Date createTime;

	
	public String getTeacherId() {
		return teacherId;
	}

	public void setTeacherId(String teacherId) {
		this.teacherId = teacherId;
	}

	public String getCourseKnowId() {
		return courseKnowId;
	}

	public void setCourseKnowId(String courseKnowId) {
		this.courseKnowId = courseKnowId;
	}

	public String getCourseKnowTitle() {
		return courseKnowTitle;
	}

	public void setCourseKnowTitle(String courseKnowTitle) {
		this.courseKnowTitle = courseKnowTitle;
	}

	public String getStudentName() {
		return studentName;
	}

	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}

	public Integer getPrintNum() {
		return printNum;
	}

	public void setPrintNum(Integer printNum) {
		this.printNum = printNum;
	}

	public Integer getDownloadNum() {
		return downloadNum;
	}

	public void setDownloadNum(Integer downloadNum) {
		this.downloadNum = downloadNum;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getKnowHowName() {
		return knowHowName;
	}

	public void setKnowHowName(String knowHowName) {
		this.knowHowName = knowHowName;
	}

	public Integer getMaster() {
		return master;
	}

	public void setMaster(Integer master) {
		this.master = master;
	}

	public Integer getState() {
		return state;
	}

	public void setState(Integer state) {
		this.state = state;
	}

	public String getWordUrl() {
		return wordUrl;
	}

	public void setWordUrl(String wordUrl) {
		this.wordUrl = wordUrl;
	}

	public Date getPrintTime() {
		return printTime;
	}

	public void setPrintTime(Date printTime) {
		this.printTime = printTime;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getJsonData() {
		return jsonData;
	}

	public void setJsonData(String jsonData) {
		this.jsonData = jsonData;
	}
	

}
